import { ITreeNode } from "@blueprintjs/core";
import { TemplateRecord } from "../../../DatabaseServices/Template/TemplateRecord";
export interface ITemplateParam {
    name: string;
    value: string | number;
    description: string;
    expr?: string | number;
    isValidExpr?: boolean;
    isLock?: boolean;
}
export declare class TemplateParamPanelStore {
    private _displayTemplateRootId;
    private _displayTemplateId;
    Params: ITemplateParam[];
    TreeNodes: ITreeNode[];
    isVisible: boolean;
    isVisualTemplate: boolean;
    treeListScrollTop: number;
    treeListScrollLeft: number;
    treeListHeight: number;
    scrollCard: HTMLDivElement;
    private constructor();
    private static _SingleStore;
    static Get(): TemplateParamPanelStore;
    set DisplayTemplateId(id: number);
    private templateObjIdSet;
    private Init;
    GetCurrentTemplate(): TemplateRecord | undefined;
    Template2TreeNode: (template: TemplateRecord) => ITreeNode;
    UpdateData(): void;
    ForeachTreeNode(nodes: ITreeNode[], callback: (node: ITreeNode) => void): void;
    UpdateParams(template: TemplateRecord): void;
}
//# sourceMappingURL=TemplateParamPanelStore.d.ts.map